import { EventBusService } from "../../../services/event-bus.service";
/**
 *
 * <h4>Required Modules</h4>
 *  <ul>
 *   <li>
 *      <code>NuiCommonModule</code>
 *   </li>
 *  </ul>
 *
 */
export declare class ClickInterceptorDirective {
    private eventBusService;
    catchClick(event: MouseEvent): void;
    constructor(eventBusService: EventBusService);
}
